var express = require('express');
var bodyParser = require('body-parser');

var app = express();
app.use(bodyParser.json());
app.use(bodyParser.urlencoded());

// Allow Cors
app.use(function(req, res, next) {
    res.header("Access-Control-Allow-Origin", "*");
    res.header("Access-Control-Allow-Headers", "Origin, X-Requested-With, Content-Type, Accept");
    next();
  });

var posts = [];
app.post('/sendpost', function(req, res) {

    var post = {
        name: req.body.header,
        content: req.body.content
    }
    posts.push(post);
})


app.get('/getposts', function(req, res) {
res.send(posts);


})
app.listen(3333);